import React from "react";
import CIcon from "@coreui/icons-react";
import {
  cibMaterialDesign,
  cilAddressBook,
  cilAppsSettings,
  cilBrush,
  cilCart,
  cilCat,
  cilClipboard,
  cilCommand,
  cilCompress,
  cilContact,
  cilImage,
  cilLanguage,
  cilLoopCircular,
  cilMedicalCross,
  cilNotes,
  cilSpeedometer,
  cilSwapHorizontal,
  cilTablet,
  cilTennisBall,
  cilText,
  cilUser,
  cilAlarm,
  cilFeaturedPlaylist,
  cilLocationPin,
} from "@coreui/icons";
import { CNavGroup, CNavItem, CNavTitle, CTabContent } from "@coreui/react";

const _nav = [
  {
    component: CNavItem,
    name: "Dashboard",
    to: "/dashboard",
    icon: <CIcon icon={cilSpeedometer} customClassName="nav-icon" />,
    group: "",
  },
  // {
  //   component: CNavItem,
  //   name: "Customers",
  //   icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //   to: "/customers-details",
  //   group: "Customers",
  // },

  // {
  //   component: CNavGroup,
  //   name: "Charts",
  //   icon: <CIcon icon={cilCat} customClassName="nav-icon" />,
  //   group: "",

  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "new user day wise",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/new-user-day-wise",
  //       group: "Charts",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Revenue By Product",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/revenue-by-product",
  //       group: "Charts",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Revenue By State",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/revenue-by-state",
  //       group: "Charts",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Revenue By City",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/revenue-by-city",
  //       group: "Charts",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Orders (Day Wise)",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/orders-day-wise",
  //       group: "Charts",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Revenue (Day Wise)",
  //       icon: <CIcon icon={cilTennisBall} customClassName="nav-icon" />,
  //       to: "/revenue-day-wise",
  //       group: "Charts",
  //     },
  //   ],
  // },

  // {
  //   component: CNavGroup,
  //   name: "Product Management",
  //   icon: <CIcon icon={cilClipboard} customClassName="nav-icon" />,
  //   group: "",

  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "Categories",
  //       icon: <CIcon icon={cilCat} customClassName="nav-icon" />,
  //       to: "/categories",
  //       group: "Product Management",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Products",
  //       icon: <CIcon icon={cilClipboard} customClassName="nav-icon" />,
  //       to: "/products",
  //       group: "Product Management",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "GST Rate",
  //       icon: <CIcon icon={cilTablet} customClassName="nav-icon" />,
  //       to: "/tax",
  //       group: "Product Management",
  //     },
  //   ],
  // },
  // {
  //   component: CNavGroup,
  //   name: "Orders",
  //   icon: <CIcon icon={cilCart} customClassName="nav-icon" />,
  //   group: "",

  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "New",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/orders/new",
  //       group: "Orders",
  //     },
  //     // {
  //     //   component: CNavItem,
  //     //   name: "Paid",
  //     //   icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //     //   to: "/orders/returned",
  //     // },
  //     {
  //       component: CNavItem,
  //       name: "Processing",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/orders/processing",
  //       group: "Orders",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Dispatched",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/orders/dispatched",
  //       group: "Orders",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Delivered",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/orders/delivered",
  //       group: "Orders",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Cancelled",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/orders/cancelled",
  //       group: "Orders",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "In Store Cash Orders",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/inStoreCashOrders/new",
  //       group: "Orders",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "In Store QRCode Orders",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/InStoreQRCodeOrders/new",
  //       group: "Orders",
  //     },
  //   ],
  // },
  {
    component: CNavGroup,
    name: "Website Settings",
    icon: <CIcon icon={cilCart} customClassName="nav-icon" />,
    group: "",

    items: [
      {
        component: CNavItem,
        name: "Banner",
        icon: <CIcon icon={cilImage} customClassName="nav-icon" />,
        to: "/banner",
        group: "Website Settings",
      },
      {
        component: CNavItem,
        name: "Register Image",
        icon: <CIcon icon={cilImage} customClassName="nav-icon" />,
        to: "/registerImage",
        group: "Website Settings",
      },
      {
        component: CNavItem,
        name: "Login Image",
        icon: <CIcon icon={cilImage} customClassName="nav-icon" />,
        to: "/loginImage",
        group: "Website Settings",
      },
      {
        component: CNavItem,
        name: "Shop Page Image",
        icon: <CIcon icon={cilImage} customClassName="nav-icon" />,
        to: "/shopImage",
        group: "Website Settings",
      },
      // {
      //   component: CNavItem,
      //   name: "Testimonials",
      //   icon: <CIcon icon={cilCompress} customClassName="nav-icon" />,
      //   to: "/testimonials",
      //   group: "Website Related",
      // },
      // {
      //   component: CNavItem,
      //   name: "Contact Requests",
      //   icon: <CIcon icon={cilContact} customClassName="nav-icon" />,
      //   to: "/contact/request",
      //   group: "Website Related",
      // },

      // {
      //   component: CNavItem,
      //   name: "SEO and Analytics",
      //   icon: <CIcon icon={cilContact} customClassName="nav-icon" />,
      //   to: "/seo/request/new",
      //   group: "Website Related",
      // },

      {
        component: CNavItem,
        name: "Content ",
        icon: <CIcon icon={cilText} customClassName="nav-icon" />,
        to: "/content",
        group: "Website Settings",
      },
      // {
      //   component: CNavItem,
      //   name: "Home",
      //   icon: <CIcon icon={cilFeaturedPlaylist} customClassName="nav-icon" />,
      //   to: "/home",
      //   group: "Website Settings",
      // },
    ],
  },
  {
    component: CNavGroup,
    name: "Configuration",
    icon: <CIcon icon={cilAppsSettings} customClassName="nav-icon" />,
    group: "",

    items: [
      {
        component: CNavItem,
        name: "Social Media",
        icon: <CIcon icon={cilMedicalCross} customClassName="nav-icon" />,
        to: "/socialmedia",
        group: "Configuration",
      },
      {
        component: CNavItem,
        name: "Application Name",
        icon: <CIcon icon={cilText} customClassName="nav-icon" />,
        to: "/application/name",
        group: "Configuration",
      },

      {
        component: CNavItem,
        name: "Address",
        icon: <CIcon icon={cilAddressBook} customClassName="nav-icon" />,
        to: "/address",
        group: "Configuration",
      },
      {
        component: CNavItem,
        name: "Logos",
        icon: <CIcon icon={cilCommand} customClassName="nav-icon" />,
        to: "/logo",
        group: "Configuration",
      },
      {
        component: CNavItem,
        name: "Copyright Message",
        icon: <CIcon icon={cilText} customClassName="nav-icon" />,
        to: "/copyright/message",
        group: "Configuration",
      },
    ],
  },
  //Affiliate start
  // {
  //   component: CNavGroup,
  //   name: "Affiliate & Coupons",
  //   icon: <CIcon icon={cilCart} customClassName="nav-icon" />,
  //   group: "",

  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "Coupons",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/affiliate/coupons",
  //       group: "Affiliate & Coupons",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Affiliates",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/affiliate/affiliates",
  //       group: "Affiliate & Coupons",
  //     },
  //   ],
  // },
  // //Affiliate end
  // {
  //   component: CNavGroup,
  //   name: "Customer Service",
  //   icon: <CIcon icon={cilClipboard} customClassName="nav-icon" />,
  //   group: "",

  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "Customer Support",
  //       icon: <CIcon icon={cilAlarm} customClassName="nav-icon" />,
  //       to: "/support/request",
  //       group: "Customer Service",
  //     },
  //     {
  //       component: CNavItem,
  //       name: "Contact Requests",
  //       icon: <CIcon icon={cilUser} customClassName="nav-icon" />,
  //       to: "/contact/request",
  //       group: "Customer Service",
  //     },
  //     // {
  //     //   component: CNavItem,
  //     //   name: "Email CMS",
  //     //   icon: <CIcon icon={cilLocationPin} customClassName="nav-icon" />,
  //     //   to: "/email-cms",
  //     // },
  //   ],
  // },
  // //Blog start
  // {
  //   component: CNavItem,
  //   name: "Blog",
  //   icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //   to: "/blogs",
  //   group: "Blog",
  // },
  // // Employee
  // {
  //   component: CNavItem,
  //   name: "Employees & Access",
  //   icon: <CIcon icon={cilImage} customClassName="nav-icon" />,
  //   to: "/employee",
  //   group: "Employees & Access",
  // },
  // //Point of Sale start
  // {
  //   component: CNavItem,
  //   name: "Point of Sale",
  //   icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //   to: "/pos",
  //   group: "Point of Sale",
  // },
  // {
  //   component: CNavGroup,
  //   name: "Blog",
  //   icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //   items: [
  //     {
  //       component: CNavItem,
  //       name: "Blog",
  //       icon: <CIcon icon={cilNotes} customClassName="nav-icon" />,
  //       to: "/blogs",
  //     },
  //   ],
  // },
];

export default _nav;
